'use strict';

exports.BattleFormatsData = {
	bulbasaur: {
		inherit: true,
		tier: "LC",
	},
	ivysaur: {
		tier: "NFE",
	},
	venusaur: {
		randomBattleMoves: ["sleeppowder", "leafstorm", "sludgebomb", "hiddenpowerice", "swordsdance", "powerwhip", "earthquake", "synthesis", "leechseed"],
		tier: "UU",
	},
	charmander: {
		inherit: true,
		tier: "LC",
	},
	charmeleon: {
		tier: "NFE",
	},
	charizard: {
		inherit: true,
		randomBattleMoves: ["fireblast", "flamethrower", "airslash", "dragonpulse", "hiddenpowergrass", "roost"],
		tier: "NU",
	},
	squirtle: {
		inherit: true,
		tier: "LC",
	},
	wartortle: {
		tier: "NFE",
	},
	blastoise: {
		inherit: true,
		randomBattleMoves: ["hydropump", "surf", "icebeam", "rapidspin", "roar", "rest", "sleeptalk"],
		tier: "UU",
	},
	caterpie: {
		tier: "LC",
	},
	metapod: {
		tier: "NFE",
	},
	butterfree: {
		inherit: true,
		randomBattleMoves: ["sleeppowder", "stunspore", "uturn", "bugbuzz", "safeguard"],
		tier: "NU",
	},
	weedle: {
		tier: "LC",
	},
	kakuna: {
		tier: "NFE",
	},
	beedrill: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "xscissor", "brickbreak", "batonpass", "poisonjab", "uturn", "toxicspikes"],
		tier: "NU",
	},
	pidgey: {
		tier: "LC",
	},
	pidgeotto: {
		inherit: true,
		tier: "NFE",
	},
	pidgeot: {
		randomBattleMoves: ["bravebird", "doubleedge", "uturn", "pursuit", "quickattack"],
		tier: "NU",
	},
	rattata: {
		tier: "LC",
	},
	raticate: {
		inherit: true,
		randomBattleMoves: ["facade", "suckerpunch", "crunch", "uturn", "protect", "swordsdance"],
		tier: "NU",
	},
	spearow: {
		inherit: true,
		tier: "LC",
	},
	fearow: {
		randomBattleMoves: ["drillpeck", "return", "uturn", "quickattack", "pursuit"],
		tier: "NU",
	},
	ekans: {
		inherit: true,
		tier: "LC",
	},
	arbok: {
		inherit: true,
		randomBattleMoves: ["glare", "gunkshot", "poisonjab", "earthquake", "seedbomb", "crunch", "aquatail", "switcheroo"],
		tier: "NU",
	},
	pichu: {
		inherit: true,
		tier: "LC",
	},
	pichuspikyeared: {
		inherit: true,
		tier: "NU",
	},
	pikachu: {
		inherit: true,
		tier: "NU",
	},
	raichu: {
		randomBattleMoves: ["nastyplot", "thunderbolt", "hiddenpowerice", "focusblast", "encore", "grassknot", "substitute", "focuspunch"],
		tier: "NU",
	},
	sandshrew: {
		inherit: true,
		tier: "LC",
	},
	sandslash: {
		randomBattleMoves: ["earthquake", "stoneedge", "swordsdance", "rapidspin", "nightslash", "stealthrock", "substitute"],
		tier: "NU",
	},
	nidoranf: {
		tier: "LC",
	},
	nidorina: {
		tier: "NFE",
	},
	nidoqueen: {
		randomBattleMoves: ["toxicspikes", "stealthrock", "fireblast", "roar", "icebeam", "earthquake"],
		tier: "NU",
	},
	nidoranm: {
		tier: "LC",
	},
	nidorino: {
		tier: "NFE",
	},
	nidoking: {
		randomBattleMoves: ["fireblast", "thunderbolt", "icebeam", "earthquake", "megahorn", "suckerpunch", "stealthrock"],
		tier: "UU",
	},
	cleffa: {
		tier: "LC",
	},
	clefairy: {
		tier: "NFE",
	},
	clefable: {
		randomBattleMoves: ["fireblast", "thunderbolt", "icebeam", "doubleedge", "stealthrock", "softboiled", "calmmind"],
		tier: "UU",
	},
	vulpix: {
		inherit: true,
		tier: "LC",
	},
	ninetales: {
		randomBattleMoves: ["nastyplot", "fireblast", "energyball", "hiddenpowerrock", "hypnosis"],
		tier: "NU",
	},
	igglybuff: {
		inherit: true,
		tier: "LC",
	},
	jigglypuff: {
		tier: "NFE",
	},
	wigglytuff: {
		randomBattleMoves: ["wish", "protect", "thunderwave", "doubleedge", "bodyslam", "fireblast", "healbell", "seismictoss", "toxic", "stealthrock"],
		tier: "NU",
	},
	zubat: {
		tier: "LC",
	},
	golbat: {
		tier: "NU",
	},
	crobat: {
		inherit: true,
		randomBattleMoves: ["bravebird", "roost", "superfang", "taunt", "nastyplot", "sludgebomb", "airslash", "uturn", "heatwave", "hiddenpowerfighting", "crosspoison", "pursuit"],
		tier: "BL",
	},
	oddish: {
		inherit: true,
		tier: "LC",
	},
	gloom: {
		inherit: true,
		tier: "NFE",
	},
	vileplume: {
		randomBattleMoves: ["energyball", "sludgebomb", "moonlight", "sleeppowder", "sunnyday", "solarbeam"],
		tier: "NU",
	},
	bellossom: {
		randomBattleMoves: ["leafstorm", "sludgebomb", "moonlight", "sleeppowder", "sunnyday", "solarbeam", "hiddenpowerfire"],
		tier: "NU",
	},
	paras: {
		inherit: true,
		tier: "LC",
	},
	parasect: {
		randomBattleMoves: ["spore", "stunspore", "xscissor", "seedbomb", "synthesis"],
		tier: "NU",
	},
	venonat: {
		tier: "LC",
	},
	venomoth: {
		inherit: true,
		randomBattleMoves: ["bugbuzz", "psychic", "substitute", "sleeppowder", "roost", "toxicspikes", "uturn", "stunspore"],
		tier: "NU",
	},
	diglett: {
		tier: "NU",
	},
	dugtrio: {
		inherit: true,
		randomBattleMoves: ["earthquake", "stoneedge", "substitute", "nightslash", "suckerpunch"],
		tier: "UU",
	},
	meowth: {
		inherit: true,
		tier: "LC",
	},
	persian: {
		randomBattleMoves: ["nastyplot", "hypnosis", "swift", "waterpulse", "fakeout", "uturn", "return", "taunt"],
		tier: "NU",
	},
	psyduck: {
		inherit: true,
		tier: "LC",
	},
	golduck: {
		inherit: true,
		randomBattleMoves: ["hydropump", "surf", "icebeam", "hiddenpowergrass", "encore", "calmmind", "psychic"],
		tier: "NU",
	},
	mankey: {
		tier: "LC",
	},
	primeape: {
		inherit: true,
		randomBattleMoves: ["closecombat", "uturn", "icepunch", "stoneedge", "punishment", "encore"],
		tier: "UU",
	},
	growlithe: {
		inherit: true,
		tier: "LC",
	},
	arcanine: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "hiddenpowergrass", "extremespeed", "thunderfang", "morningsun", "willowisp", "toxic"],
		tier: "UU",
	},
	poliwag: {
		inherit: true,
		tier: "LC",
	},
	poliwhirl: {
		tier: "NFE",
	},
	poliwrath: {
		inherit: true,
		randomBattleMoves: ["substitute", "focuspunch", "bulkup", "brickbreak", "waterfall", "toxic", "rest", "sleeptalk", "icepunch"],
		tier: "NU",
	},
	politoed: {
		randomBattleMoves: ["toxic", "encore", "protect", "icebeam", "focusblast", "surf", "hydropump", "hiddenpowergrass"],
		tier: "NU",
	},
	abra: {
		tier: "LC",
	},
	kadabra: {
		tier: "NU",
	},
	alakazam: {
		inherit: true,
		randomBattleMoves: ["signalbeam", "psychic", "focusblast", "shadowball", "hiddenpowerfire", "encore", "substitute", "trick"],
		tier: "UU",
	},
	machop: {
		tier: "LC",
	},
	machoke: {
		tier: "NU",
	},
	machamp: {
		inherit: true,
		randomBattleMoves: ["dynamicpunch", "payback", "bulkup", "icepunch", "stoneedge", "bulletpunch", "substitute"],
		tier: "OU",
	},
	bellsprout: {
		inherit: true,
		tier: "LC",
	},
	weepinbell: {
		inherit: true,
		tier: "NFE",
	},
	victreebel: {
		randomBattleMoves: ["swordsdance", "sleeppowder", "suckerpunch", "leafblade", "sunnyday", "solarbeam", "hiddenpowerrock", "weatherball"],
		tier: "NU",
	},
	tentacool: {
		tier: "LC",
	},
	tentacruel: {
		randomBattleMoves: ["toxicspikes", "rapidspin", "surf", "sludgebomb", "icebeam", "hydropump"],
		tier: "OU",
	},
	geodude: {
		tier: "LC",
	},
	graveler: {
		tier: "NFE",
	},
	golem: {
		randomBattleMoves: ["stealthrock", "earthquake", "stoneedge", "suckerpunch", "hammerarm", "explosion"],
		tier: "NU",
	},
	ponyta: {
		tier: "LC",
	},
	rapidash: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "morningsun", "hypnosis", "megahorn", "willowisp"],
		tier: "NU",
	},
	slowpoke: {
		inherit: true,
		tier: "LC",
	},
	slowbro: {
		randomBattleMoves: ["surf", "calmmind", "psychic", "rest", "sleeptalk", "thunderwave", "toxic", "slackoff", "trickroom"],
		tier: "UU",
	},
	slowking: {
		randomBattleMoves: ["surf", "icebeam", "psychic", "thunderwave", "toxic", "slackoff", "trickroom", "nastyplot", "trick"],
		tier: "NU",
	},
	magnemite: {
		tier: "LC",
	},
	magneton: {
		inherit: true,
		tier: "NU",
	},
	magnezone: {
		randomBattleMoves: ["thunderbolt", "explosion", "magnetrise", "substitute", "flashcannon", "hiddenpowerice", "hiddenpowergrass"],
		tier: "OU",
	},
	farfetchd: {
		inherit: true,
		randomBattleMoves: ["return", "swordsdance", "slash", "leafblade", "nightslash", "batonpass", "uturn"],
		tier: "NU",
	},
	doduo: {
		tier: "LC",
	},
	dodrio: {
		inherit: true,
		randomBattleMoves: ["bravebird", "return", "doubleedge", "roost", "quickattack", "pursuit"],
		tier: "NU",
	},
	seel: {
		inherit: true,
		tier: "LC",
	},
	dewgong: {
		randomBattleMoves: ["surf", "icebeam", "raindance", "rest", "toxic", "protect"],
		tier: "NU",
	},
	grimer: {
		inherit: true,
		tier: "LC",
	},
	muk: {
		randomBattleMoves: ["curse", "gunkshot", "poisonjab", "brickbreak", "shadowsneak", "payback", "explosion", "icepunch", "rest", "sleeptalk"],
		tier: "NU",
	},
	shellder: {
		inherit: true,
		tier: "LC",
	},
	cloyster: {
		randomBattleMoves: ["surf", "rockblast", "iceshard", "rapidspin", "spikes", "toxicspikes", "explosion"],
		tier: "UU",
	},
	gastly: {
		tier: "LC",
	},
	haunter: {
		tier: "NU",
	},
	gengar: {
		inherit: true,
		randomBattleMoves: ["shadowball", "sludgebomb", "focusblast", "thunderbolt", "substitute", "painsplit", "hypnosis", "hiddenpowerfire", "trick"],
		tier: "OU",
	},
	onix: {
		tier: "LC",
	},
	steelix: {
		randomBattleMoves: ["stealthrock", "earthquake", "explosion", "curse", "roar", "toxic", "stoneedge", "gyroball"],
		tier: "UU",
	},
	drowzee: {
		inherit: true,
		tier: "LC",
	},
	hypno: {
		inherit: true,
		randomBattleMoves: ["wish", "protect", "psychic", "seismictoss", "thunderwave", "toxic", "batonpass", "calmmind"],
		tier: "NU",
	},
	krabby: {
		tier: "LC",
	},
	kingler: {
		randomBattleMoves: ["crabhammer", "return", "swordsdance", "agility", "rockslide", "xscissor", "superpower"],
		tier: "NU",
	},
	voltorb: {
		inherit: true,
		tier: "LC",
	},
	electrode: {
		randomBattleMoves: ["signalbeam", "thunderbolt", "taunt", "hiddenpowerice", "explosion"],
		tier: "NU",
	},
	exeggcute: {
		inherit: true,
		tier: "LC",
	},
	exeggutor: {
		inherit: true,
		randomBattleMoves: ["sunnyday", "solarbeam", "explosion", "leafstorm", "psychic", "sleeppowder", "hiddenpowerfire", "synthesis"],
		tier: "UU",
	},
	cubone: {
		tier: "LC",
	},
	marowak: {
		inherit: true,
		randomBattleMoves: ["substitute", "earthquake", "doubleedge", "thunderpunch", "swordsdance", "firepunch"],
		tier: "NU",
	},
	tyrogue: {
		tier: "LC",
	},
	hitmonlee: {
		inherit: true,
		randomBattleMoves: ["suckerpunch", "stoneedge", "machpunch", "substitute", "closecombat", "earthquake"],
		tier: "UU",
	},
	hitmonchan: {
		inherit: true,
		randomBattleMoves: ["bulkup", "drainpunch", "icepunch", "machpunch", "substitute", "closecombat", "stoneedge", "rapidspin"],
		tier: "NU",
	},
	hitmontop: {
		randomBattleMoves: ["fakeout", "suckerpunch", "machpunch", "bulkup", "rapidspin", "closecombat", "stoneedge", "toxic"],
		tier: "UU",
	},
	lickitung: {
		inherit: true,
		tier: "LC",
	},
	lickilicky: {
		randomBattleMoves: ["wish", "protect", "bodyslam", "return", "powerwhip", "earthquake", "aquatail", "fireblast", "swordsdance", "toxic", "healbell", "explosion"],
		tier: "NU",
	},
	koffing: {
		tier: "LC",
	},
	weezing: {
		randomBattleMoves: ["rest", "sleeptalk", "sludgebomb", "willowisp", "painsplit", "fireblast", "thunderbolt"],
		tier: "UU",
	},
	rhyhorn: {
		tier: "LC",
	},
	rhydon: {
		inherit: true,
		tier: "NFE",
	},
	rhyperior: {
		randomBattleMoves: ["stoneedge", "earthquake", "rockpolish", "megahorn", "stealthrock", "rockblast"],
		tier: "UU",
	},
	happiny: {
		tier: "LC",
	},
	chansey: {
		inherit: true,
		tier: "UU",
	},
	blissey: {
		randomBattleMoves: ["wish", "softboiled", "protect", "toxic", "aromatherapy", "seismictoss", "thunderwave", "stealthrock", "flamethrower", "icebeam"],
		tier: "OU",
	},
	tangela: {
		inherit: true,
		tier: "NU",
	},
	tangrowth: {
		inherit: true,
		randomBattleMoves: ["sleeppowder", "hiddenpowerice", "hiddenpowerfire", "leafstorm", "stunspore", "synthesis", "swordsdance", "rockslide", "earthquake", "powerwhip"],
		tier: "UU",
	},
	kangaskhan: {
		inherit: true,
		randomBattleMoves: ["fakeout", "return", "hammerarm", "doubleedge", "suckerpunch", "earthquake", "substitute", "focuspunch"],
		tier: "UU",
	},
	horsea: {
		tier: "LC",
	},
	seadra: {
		inherit: true,
		tier: "NFE",
	},
	kingdra: {
		inherit: true,
		randomBattleMoves: ["hydropump", "icebeam", "dragondance", "substitute", "outrage", "dracometeor", "waterfall", "rest", "sleeptalk"],
		tier: "OU",
	},
	goldeen: {
		tier: "LC",
	},
	seaking: {
		randomBattleMoves: ["raindance", "waterfall", "megahorn", "return", "icebeam"],
		tier: "NU",
	},
	staryu: {
		inherit: true,
		tier: "LC",
	},
	starmie: {
		inherit: true,
		randomBattleMoves: ["surf", "hydropump", "thunderbolt", "icebeam", "rapidspin", "recover", "trick"],
		tier: "OU",
	},
	mimejr: {
		tier: "LC",
	},
	mrmime: {
		inherit: true,
		randomBattleMoves: ["substitute", "focusblast", "batonpass", "psychic", "taunt", "nastyplot", "shadowball", "thunderbolt", "encore"],
		tier: "NU",
	},
	scyther: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "roost", "bugbite", "quickattack", "brickbreak", "aerialace", "batonpass", "uturn", "pursuit"],
		tier: "UU",
	},
	scizor: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "roost", "bulletpunch", "bugbite", "superpower", "uturn", "pursuit"],
		tier: "OU",
	},
	smoochum: {
		tier: "LC",
	},
	jynx: {
		randomBattleMoves: ["icebeam", "psychic", "focusblast", "trick", "shadowball", "nastyplot", "lovelykiss", "substitute"],
		tier: "NU",
	},
	elekid: {
		inherit: true,
		tier: "LC",
	},
	electabuzz: {
		inherit: true,
		tier: "NU",
	},
	electivire: {
		inherit: true,
		randomBattleMoves: ["crosschop", "icepunch", "thunderbolt", "hiddenpowergrass", "flamethrower", "earthquake"],
		tier: "OU",
	},
	magby: {
		tier: "LC",
	},
	magmar: {
		inherit: true,
		tier: "NFE",
	},
	magmortar: {
		inherit: true,
		randomBattleMoves: ["fireblast", "substitute", "focusblast", "hiddenpowergrass", "hiddenpowerice", "thunderbolt"],
		tier: "NU",
	},
	pinsir: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "xscissor", "earthquake", "closecombat", "stealthrock", "stoneedge", "quickattack"],
		tier: "NU",
	},
	tauros: {
		inherit: true,
		randomBattleMoves: ["doubleedge", "earthquake", "payback", "stoneedge", "pursuit", "substitute", "return"],
		tier: "NU",
	},
	magikarp: {
		inherit: true,
		tier: "LC",
	},
	gyarados: {
		randomBattleMoves: ["dragondance", "waterfall", "earthquake", "bounce", "rest", "sleeptalk", "stoneedge", "taunt", "icefang"],
		tier: "OU",
	},
	lapras: {
		inherit: true,
		randomBattleMoves: ["surf", "hydropump", "icebeam", "thunderbolt", "healbell", "toxic", "dragondance", "substitute", "waterfall", "return", "zenheadbutt"],
		tier: "NU",
	},
	ditto: {
		randomBattleMoves: ["transform"],
		tier: "NU",
	},
	eevee: {
		inherit: true,
		tier: "LC",
	},
	vaporeon: {
		randomBattleMoves: ["wish", "protect", "roar", "icebeam", "toxic", "surf"],
		tier: "OU",
	},
	jolteon: {
		randomBattleMoves: ["thunderbolt", "hiddenpowergrass", "hiddenpowerice", "chargebeam", "batonpass", "substitute", "shadowball"],
		tier: "OU",
	},
	flareon: {
		randomBattleMoves: ["lavaplume", "fireblast", "wish", "protect", "hiddenpowergrass", "superpower", "toxic"],
		tier: "NU",
	},
	espeon: {
		inherit: true,
		randomBattleMoves: ["psychic", "shadowball", "hiddenpowerground", "calmmind", "morningsun", "batonpass", "substitute"],
		tier: "BL2",
	},
	umbreon: {
		inherit: true,
		randomBattleMoves: ["curse", "payback", "moonlight", "wish", "protect", "healbell", "toxic"],
		tier: "OU",
	},
	leafeon: {
		randomBattleMoves: ["swordsdance", "leafblade", "substitute", "doubleedge", "yawn", "synthesis", "healbell", "batonpass"],
		tier: "UU",
	},
	glaceon: {
		randomBattleMoves: ["icebeam", "hiddenpowerground", "hiddenpowerfire", "shadowball", "wish", "toxic", "protect"],
		tier: "NU",
	},
	porygon: {
		tier: "LC",
	},
	porygon2: {
		randomBattleMoves: ["triattack", "icebeam", "recover", "toxic", "discharge"],
		tier: "NU",
	},
	porygonz: {
		randomBattleMoves: ["triattack", "thunderbolt", "icebeam", "darkpulse", "hiddenpowerfighting", "agility", "trick", "nastyplot"],
		tier: "BL",
	},
	omanyte: {
		tier: "LC",
	},
	omastar: {
		randomBattleMoves: ["surf", "icebeam", "earthpower", "raindance", "spikes", "stealthrock", "hydropump", "hiddenpowergrass"],
		tier: "UU",
	},
	kabuto: {
		tier: "LC",
	},
	kabutops: {
		randomBattleMoves: ["swordsdance", "waterfall", "aquajet", "stoneedge", "rapidspin", "stealthrock", "superpower"],
		tier: "UU",
	},
	aerodactyl: {
		randomBattleMoves: ["stealthrock", "taunt", "stoneedge", "rockslide", "earthquake", "roost"],
		tier: "OU",
	},
	munchlax: {
		inherit: true,
		tier: "LC",
	},
	snorlax: {
		inherit: true,
		randomBattleMoves: ["rest", "curse", "sleeptalk", "bodyslam", "earthquake", "return", "firepunch", "crunch", "selfdestruct", "pursuit", "whirlwind"],
		tier: "OU",
	},
	articuno: {
		inherit: true,
		randomBattleMoves: ["icebeam", "roost", "roar", "healbell", "toxic", "substitute"],
		tier: "NU",
	},
	zapdos: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "heatwave", "hiddenpowergrass", "hiddenpowerice", "roost", "toxic", "substitute", "uturn"],
		tier: "OU",
	},
	moltres: {
		inherit: true,
		randomBattleMoves: ["fireblast", "hiddenpowergrass", "airslash", "roost", "substitute", "toxic", "uturn"],
		tier: "UU",
	},
	dratini: {
		tier: "LC",
	},
	dragonair: {
		tier: "NU",
	},
	dragonite: {
		inherit: true,
		randomBattleMoves: ["dragondance", "outrage", "firepunch", "extremespeed", "dragonclaw", "earthquake", "roost", "healbell", "superpower", "dracometeor"],
		tier: "OU",
	},
	mewtwo: {
		inherit: true,
		randomBattleMoves: ["psychic", "aurasphere", "fireblast", "icebeam", "calmmind", "trick", "recover", "willowisp", "taunt", "substitute", "selfdestruct"],
		tier: "Uber",
	},
	mew: {
		inherit: true,
		randomBattleMoves: ["psychic", "aurasphere", "flamethrower", "nastyplot", "willowisp", "uturn", "softboiled", "taunt", "stealthrock", "explosion"],
		tier: "Uber",
	},
	chikorita: {
		inherit: true,
		tier: "LC",
	},
	bayleef: {
		tier: "NFE",
	},
	meganium: {
		randomBattleMoves: ["reflect", "lightscreen", "synthesis", "aromatherapy", "leechseed", "toxic", "energyball", "seedbomb"],
		tier: "NU",
	},
	cyndaquil: {
		inherit: true,
		tier: "LC",
	},
	quilava: {
		tier: "NFE",
	},
	typhlosion: {
		inherit: true,
		randomBattleMoves: ["sunnyday", "fireblast", "solarbeam", "hiddenpowerrock", "eruption", "focusblast"],
		tier: "NU",
	},
	totodile: {
		inherit: true,
		tier: "LC",
	},
	croconaw: {
		tier: "NFE",
	},
	feraligatr: {
		randomBattleMoves: ["swordsdance", "aquajet", "waterfall", "icepunch", "dragondance", "return", "earthquake", "lowkick"],
		tier: "UU",
	},
	sentret: {
		tier: "LC",
	},
	furret: {
		randomBattleMoves: ["return", "uturn", "suckerpunch", "trick", "brickbreak", "shadowclaw"],
		tier: "NU",
	},
	hoothoot: {
		inherit: true,
		tier: "LC",
	},
	noctowl: {
		randomBattleMoves: ["roost", "whirlwind", "nightshade", "toxic", "reflect"],
		tier: "NU",
	},
	ledyba: {
		inherit: true,
		tier: "LC",
	},
	ledian: {
		randomBattleMoves: ["roost", "reflect", "lightscreen", "toxic", "uturn", "encore"],
		tier: "NU",
	},
	spinarak: {
		inherit: true,
		tier: "LC",
	},
	ariados: {
		randomBattleMoves: ["protect", "bugbite", "toxicspikes", "poisonjab", "shadowsneak", "suckerpunch"],
		tier: "NU",
	},
	chinchou: {
		tier: "LC",
	},
	lanturn: {
		randomBattleMoves: ["healbell", "confuseray", "icebeam", "surf", "discharge"],
		tier: "UU",
	},
	togepi: {
		inherit: true,
		tier: "LC",
	},
	togetic: {
		tier: "NU",
	},
	togekiss: {
		randomBattleMoves: ["healbell", "roost", "nastyplot", "airslash", "aurasphere", "fireblast", "thunderwave"],
		tier: "OU",
	},
	natu: {
		inherit: true,
		tier: "LC",
	},
	xatu: {
		randomBattleMoves: ["reflect", "lightscreen", "wish", "uturn", "calmmind", "psychic", "heatwave", "airslash", "hiddenpowerfighting", "batonpass", "trick", "roost"],
		tier: "NU",
	},
	mareep: {
		inherit: true,
		tier: "LC",
	},
	flaaffy: {
		tier: "NFE",
	},
	ampharos: {
		randomBattleMoves: ["substitute", "hiddenpowerice", "discharge", "thunderbolt", "focusblast", "signalbeam"],
		tier: "NU",
	},
	azurill: {
		tier: "LC",
	},
	marill: {
		tier: "NFE",
	},
	azumarill: {
		randomBattleMoves: ["waterfall", "aquajet", "return", "doubleedge", "icepunch", "superpower"],
		tier: "UU",
	},
	bonsly: {
		tier: "LC",
	},
	sudowoodo: {
		randomBattleMoves: ["toxic", "stoneedge", "earthquake", "suckerpunch", "woodhammer", "explosion", "stealthrock"],
		tier: "NU",
	},
	hoppip: {
		tier: "LC",
	},
	skiploom: {
		tier: "NFE",
	},
	jumpluff: {
		randomBattleMoves: ["leechseed", "substitute", "encore", "sleeppowder", "uturn", "stunspore", "toxic", "grassknot", "bounce"],
		tier: "NU",
	},
	aipom: {
		inherit: true,
		tier: "LC",
	},
	ambipom: {
		randomBattleMoves: ["fakeout", "return", "payback", "lowkick", "uturn", "pursuit"],
		tier: "UU",
	},
	sunkern: {
		inherit: true,
		tier: "LC",
	},
	sunflora: {
		randomBattleMoves: ["leafstorm", "synthesis", "hiddenpowerice", "earthpower"],
		tier: "NU",
	},
	yanma: {
		tier: "NU",
	},
	yanmega: {
		randomBattleMoves: ["bugbuzz", "airslash", "hiddenpowerground", "uturn", "protect", "hiddenpowerfire"],
		tier: "BL",
	},
	wooper: {
		tier: "LC",
	},
	quagsire: {
		randomBattleMoves: ["recover", "earthquake", "encore", "toxic", "icepunch", "waterfall", "yawn"],
		tier: "NU",
	},
	murkrow: {
		inherit: true,
		tier: "NU",
	},
	honchkrow: {
		randomBattleMoves: ["superpower", "suckerpunch", "bravebird", "heatwave", "pursuit"],
		tier: "BL",
	},
	misdreavus: {
		inherit: true,
		tier: "NU",
	},
	mismagius: {
		randomBattleMoves: ["nastyplot", "substitute", "taunt", "painsplit", "willowisp", "shadowball", "thunderbolt", "hiddenpowerfighting"],
		tier: "UU",
	},
	unown: {
		randomBattleMoves: ["hiddenpowerpsychic"],
		tier: "NU",
	},
	wynaut: {
		inherit: true,
		tier: "Uber",
	},
	wobbuffet: {
		inherit: true,
		randomBattleMoves: ["destinybond", "counter", "mirrorcoat", "encore"],
		tier: "Uber",
	},
	girafarig: {
		randomBattleMoves: ["psychic", "thunderbolt", "calmmind", "batonpass", "hiddenpowerfighting"],
		tier: "NU",
	},
	pineco: {
		inherit: true,
		tier: "LC",
	},
	forretress: {
		randomBattleMoves: ["rapidspin", "stealthrock", "toxicspikes", "spikes", "gyroball", "earthquake", "explosion"],
		tier: "OU",
	},
	dunsparce: {
		randomBattleMoves: ["rockslide", "bite", "headbutt", "zenheadbutt", "thunderwave", "bodyslam", "roost"],
		tier: "NU",
	},
	gligar: {
		inherit: true,
		tier: "NU",
		doublesTier: "LC",
	},
	gliscor: {
		randomBattleMoves: ["swordsdance", "earthquake", "roost", "stoneedge", "taunt", "uturn", "toxic", "stealthrock"],
		tier: "OU",
	},
	snubbull: {
		inherit: true,
		tier: "LC",
	},
	granbull: {
		randomBattleMoves: ["thunderwave", "bodyslam", "return", "crunch", "earthquake", "healbell", "toxic"],
		tier: "NU",
	},
	qwilfish: {
		inherit: true,
		randomBattleMoves: ["waterfall", "spikes", "toxicspikes", "swordsdance", "poisonjab", "explosion", "taunt", "destinybond"],
		tier: "UU",
	},
	shuckle: {
		inherit: true,
		randomBattleMoves: ["toxic", "encore", "knockoff", "rest", "protect", "stealthrock"],
		tier: "NU",
	},
	heracross: {
		randomBattleMoves: ["closecombat", "megahorn", "stoneedge", "nightslash", "substitute"],
		tier: "BL",
	},
	sneasel: {
		inherit: true,
		tier: "NU",
	},
	weavile: {
		inherit: true,
		randomBattleMoves: ["iceshard", "icepunch", "nightslash", "lowkick", "pursuit", "swordsdance"],
		tier: "OU",
	},
	teddiursa: {
		inherit: true,
		tier: "LC",
	},
	ursaring: {
		randomBattleMoves: ["swordsdance", "protect", "facade", "closecombat", "earthquake", "crunch"],
		tier: "UU",
	},
	slugma: {
		tier: "LC",
	},
	magcargo: {
		inherit: true,
		randomBattleMoves: ["recover", "lavaplume", "willowisp", "toxic", "hiddenpowerrock", "stealthrock", "fireblast"],
		tier: "NU",
	},
	swinub: {
		inherit: true,
		tier: "LC",
	},
	piloswine: {
		tier: "NU",
	},
	mamoswine: {
		randomBattleMoves: ["iceshard", "earthquake", "endeavor", "stoneedge", "superpower", "stealthrock"],
		tier: "OU",
	},
	corsola: {
		inherit: true,
		randomBattleMoves: ["recover", "toxic", "reflect", "surf", "stealthrock"],
		tier: "NU",
	},
	remoraid: {
		tier: "LC",
	},
	octillery: {
		inherit: true,
		randomBattleMoves: ["surf", "icebeam", "energyball", "fireblast", "substitute"],
		tier: "NU",
	},
	delibird: {
		inherit: true,
		randomBattleMoves: ["rapidspin", "iceshard", "icepunch", "aerialace"],
		tier: "NU",
	},
	mantyke: {
		tier: "LC",
	},
	mantine: {
		inherit: true,
		randomBattleMoves: ["surf", "rest", "sleeptalk", "toxic"],
		tier: "NU",
	},
	skarmory: {
		randomBattleMoves: ["whirlwind", "bravebird", "roost", "spikes", "stealthrock"],
		tier: "OU",
	},
	houndour: {
		inherit: true,
		tier: "LC",
	},
	houndoom: {
		randomBattleMoves: ["nastyplot", "darkpulse", "suckerpunch", "fireblast", "hiddenpowergrass"],
		tier: "UU",
	},
	phanpy: {
		tier: "LC",
	},
	donphan: {
		randomBattleMoves: ["stealthrock", "rapidspin", "iceshard", "earthquake", "seedbomb", "stoneedge", "assurance"],
		tier: "UU",
	},
	stantler: {
		inherit: true,
		randomBattleMoves: ["return", "megahorn", "energyball", "earthquake", "hypnosis", "suckerpunch"],
		tier: "NU",
	},
	smeargle: {
		inherit: true,
		randomBattleMoves: ["spore", "spikes", "stealthrock", "uturn", "counter", "trick"],
		tier: "OU",
	},
	miltank: {
		randomBattleMoves: ["milkdrink", "stealthrock", "bodyslam", "healbell", "curse", "earthquake"],
		tier: "UU",
	},
	raikou: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "hiddenpowerice", "aurasphere", "calmmind", "shadowball"],
		tier: "BL",
	},
	entei: {
		inherit: true,
		randomBattleMoves: ["extremespeed", "flareblitz", "hiddenpowergrass", "stoneedge", "ironhead"],
		tier: "BL2",
	},
	suicune: {
		inherit: true,
		randomBattleMoves: ["surf", "icebeam", "hiddenpowerelectric", "rest", "sleeptalk", "roar", "calmmind"],
		tier: "OU",
	},
	larvitar: {
		inherit: true,
		tier: "LC",
	},
	pupitar: {
		tier: "NFE",
	},
	tyranitar: {
		inherit: true,
		randomBattleMoves: ["crunch", "stoneedge", "pursuit", "superpower", "earthquake", "dragondance", "icepunch", "fireblast", "icebeam", "firepunch", "stealthrock"],
		tier: "OU",
	},
	lugia: {
		inherit: true,
		randomBattleMoves: ["calmmind", "aeroblast", "roost", "earthpower", "icebeam", "whirlwind", "toxic", "substitute"],
		tier: "Uber",
	},
	hooh: {
		inherit: true,
		randomBattleMoves: ["substitute", "sacredfire", "bravebird", "earthquake", "roost", "punishment"],
		tier: "Uber",
	},
	celebi: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "thunderwave", "leafstorm", "hiddenpowerfire", "psychic", "uturn", "recover", "nastyplot", "energyball", "earthpower", "substitute", "leechseed", "batonpass"],
		tier: "OU",
	},
	treecko: {
		inherit: true,
		tier: "LC",
	},
	grovyle: {
		tier: "NFE",
	},
	sceptile: {
		randomBattleMoves: ["substitute", "leechseed", "energyball", "hiddenpowerice", "hiddenpowerfire", "leafstorm", "earthquake", "focusblast"],
		tier: "UU",
	},
	torchic: {
		inherit: true,
		tier: "LC",
	},
	combusken: {
		tier: "NFE",
	},
	blaziken: {
		inherit: true,
		randomBattleMoves: ["flareblitz", "superpower", "thunderpunch", "stoneedge", "lowkick", "vacuumwave", "fireblast", "hiddenpowerice", "agility"],
		tier: "UU",
	},
	mudkip: {
		inherit: true,
		tier: "LC",
	},
	marshtomp: {
		tier: "NFE",
	},
	swampert: {
		randomBattleMoves: ["stealthrock", "earthquake", "icebeam", "roar", "waterfall", "stoneedge", "icepunch"],
		tier: "OU",
	},
	poochyena: {
		inherit: true,
		tier: "LC",
	},
	mightyena: {
		randomBattleMoves: ["suckerpunch", "return", "firefang", "taunt", "superfang", "toxic"],
		tier: "NU",
	},
	zigzagoon: {
		inherit: true,
		tier: "LC",
	},
	linoone: {
		randomBattleMoves: ["bellydrum", "extremespeed", "seedbomb", "shadowclaw"],
		tier: "NU",
	},
	wurmple: {
		tier: "LC",
	},
	silcoon: {
		tier: "NFE",
	},
	beautifly: {
		randomBattleMoves: ["bugbuzz", "shadowball", "uturn", "hiddenpowerground", "stunspore"],
		tier: "NU",
	},
	cascoon: {
		tier: "NFE",
	},
	dustox: {
		randomBattleMoves: ["toxic", "roost", "whirlwind", "bugbuzz", "protect"],
		tier: "NU",
	},
	lotad: {
		inherit: true,
		tier: "LC",
	},
	lombre: {
		tier: "NFE",
	},
	ludicolo: {
		randomBattleMoves: ["raindance", "surf", "energyball", "icebeam", "substitute", "leechseed"],
		tier: "UU",
	},
	seedot: {
		inherit: true,
		tier: "LC",
	},
	nuzleaf: {
		tier: "NFE",
	},
	shiftry: {
		randomBattleMoves: ["swordsdance", "seedbomb", "suckerpunch", "lowkick", "explosion", "sunnyday", "solarbeam", "darkpulse", "hiddenpowerfire", "leafstorm"],
		tier: "NU",
	},
	taillow: {
		inherit: true,
		tier: "LC",
	},
	swellow: {
		inherit: true,
		randomBattleMoves: ["bravebird", "facade", "quickattack", "uturn", "protect"],
		tier: "UU",
	},
	wingull: {
		tier: "LC",
	},
	pelipper: {
		randomBattleMoves: ["hydropump", "surf", "airslash", "hiddenpowergrass", "toxic", "roost", "uturn"],
		tier: "NU",
	},
	ralts: {
		inherit: true,
		tier: "LC",
	},
	kirlia: {
		tier: "NFE",
	},
	gardevoir: {
		randomBattleMoves: ["psychic", "thunderbolt", "focusblast", "trick", "shadowball", "calmmind", "taunt"],
		tier: "NU",
	},
	gallade: {
		randomBattleMoves: ["swordsdance", "closecombat", "psychocut", "stoneedge", "icepunch", "shadowsneak", "nightslash", "trick"],
		tier: "BL",
	},
	surskit: {
		inherit: true,
		tier: "LC",
	},
	masquerain: {
		randomBattleMoves: ["hydropump", "bugbuzz", "airslash", "agility", "batonpass", "roost"],
		tier: "NU",
	},
	shroomish: {
		inherit: true,
		tier: "LC",
	},
	breloom: {
		randomBattleMoves: ["substitute", "focuspunch", "spore", "seedbomb", "stoneedge", "leechseed", "swordsdance", "machpunch", "facade"],
		tier: "OU",
	},
	slakoth: {
		tier: "LC",
	},
	vigoroth: {
		randomBattleMoves: ["bulkup", "return", "earthquake", "nightslash", "lowkick", "suckerpunch", "slackoff", "encore", "substitute", "focuspunch"],
		tier: "NU",
	},
	slaking: {
		inherit: true,
		randomBattleMoves: ["return", "earthquake", "pursuit", "firepunch", "icepunch", "doubleedge", "nightslash"],
		tier: "NU",
	},
	nincada: {
		tier: "LC",
	},
	ninjask: {
		randomBattleMoves: ["batonpass", "swordsdance", "substitute", "protect", "xscissor"],
		tier: "OU",
	},
	shedinja: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "willowisp", "xscissor", "shadowsneak", "suckerpunch"],
		tier: "NU",
	},
	whismur: {
		inherit: true,
		tier: "LC",
	},
	loudred: {
		tier: "NFE",
	},
	exploud: {
		inherit: true,
		randomBattleMoves: ["return", "crunch", "earthquake", "icebeam", "surf"],
		tier: "NU",
	},
	makuhita: {
		inherit: true,
		tier: "LC",
	},
	hariyama: {
		randomBattleMoves: ["substitute", "focuspunch", "bulletpunch", "closecombat", "icepunch", "stoneedge", "fakeout", "payback"],
		tier: "UU",
	},
	nosepass: {
		inherit: true,
		tier: "LC",
	},
	probopass: {
		randomBattleMoves: ["stealthrock", "thunderwave", "toxic", "earthpower", "powergem"],
		tier: "NU",
	},
	skitty: {
		inherit: true,
		tier: "LC",
	},
	delcatty: {
		inherit: true,
		randomBattleMoves: ["doubleedge", "return", "wish", "thunderwave", "sing", "healbell"],
		tier: "NU",
	},
	sableye: {
		inherit: true,
		randomBattleMoves: ["recover", "willowisp", "taunt", "toxic", "nightshade", "seismictoss"],
		tier: "NU",
	},
	mawile: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "ironhead", "focuspunch", "suckerpunch", "batonpass", "substitute"],
		tier: "NU",
	},
	aron: {
		tier: "LC",
	},
	lairon: {
		tier: "NFE",
	},
	aggron: {
		inherit: true,
		randomBattleMoves: ["rockpolish", "headsmash", "earthquake", "aquatail", "icepunch", "lowkick"],
		tier: "UU",
	},
	meditite: {
		inherit: true,
		tier: "LC Uber",
	},
	medicham: {
		randomBattleMoves: ["highjumpkick", "psychocut", "icepunch", "thunderpunch", "trick", "fakeout", "bulletpunch"],
		tier: "NU",
	},
	electrike: {
		tier: "LC",
	},
	manectric: {
		inherit: true,
		randomBattleMoves: ["thunderbolt", "hiddenpowergrass", "overheat", "switcheroo", "flamethrower"],
		tier: "NU",
	},
	plusle: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "thunderbolt", "encore", "batonpass", "hiddenpowerice"],
		tier: "NU",
	},
	minun: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "thunderbolt", "encore", "batonpass", "hiddenpowerice"],
		tier: "NU",
	},
	volbeat: {
		randomBattleMoves: ["tailglow", "batonpass", "substitute", "bugbuzz", "encore"],
		tier: "NU",
	},
	illumise: {
		randomBattleMoves: ["hiddenpowerice", "hiddenpowerground", "uturn", "bugbuzz", "encore", "thunderbolt"],
		tier: "NU",
	},
	budew: {
		tier: "LC",
	},
	roselia: {
		inherit: true,
		tier: "NU",
	},
	roserade: {
		randomBattleMoves: ["sludgebomb", "hiddenpowerice", "sleeppowder", "leafstorm", "energyball", "spikes", "toxicspikes", "rest", "leechseed", "hiddenpowerfire"],
		tier: "OU",
	},
	gulpin: {
		inherit: true,
		tier: "LC",
	},
	swalot: {
		randomBattleMoves: ["sludgebomb", "icebeam", "painsplit", "yawn", "encore", "toxic"],
		tier: "NU",
	},
	carvanha: {
		inherit: true,
		tier: "LC",
	},
	sharpedo: {
		randomBattleMoves: ["hydropump", "icebeam", "crunch", "earthquake", "waterfall", "hiddenpowergrass", "aquajet"],
		tier: "NU",
	},
	wailmer: {
		tier: "LC",
	},
	wailord: {
		inherit: true,
		randomBattleMoves: ["waterspout", "surf", "hydropump", "icebeam", "hiddenpowergrass", "selfdestruct"],
		tier: "NU",
	},
	numel: {
		inherit: true,
		tier: "LC",
	},
	camerupt: {
		randomBattleMoves: ["rockpolish", "fireblast", "earthpower", "stoneedge", "lavaplume", "explosion", "earthquake", "stealthrock"],
		tier: "NU",
	},
	torkoal: {
		randomBattleMoves: ["rapidspin", "stealthrock", "yawn", "lavaplume", "earthquake", "toxic", "explosion"],
		tier: "NU",
	},
	spoink: {
		inherit: true,
		tier: "LC",
	},
	grumpig: {
		randomBattleMoves: ["calmmind", "psychic", "focusblast", "shadowball", "thunderwave", "toxic", "healbell", "reflect", "lightscreen"],
		tier: "NU",
	},
	spinda: {
		inherit: true,
		randomBattleMoves: ["substitute", "bodyslam", "teeterdance", "rockslide"],
		tier: "NU",
	},
	trapinch: {
		tier: "LC",
	},
	vibrava: {
		tier: "NFE",
	},
	flygon: {
		inherit: true,
		randomBattleMoves: ["earthquake", "outrage", "dragonclaw", "uturn", "roost", "toxic", "stoneedge", "fireblast", "firepunch"],
		tier: "OU",
	},
	cacnea: {
		inherit: true,
		tier: "LC",
	},
	cacturne: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "substitute", "suckerpunch", "seedbomb", "focuspunch", "lowkick", "encore", "spikes"],
		tier: "NU",
	},
	swablu: {
		inherit: true,
		tier: "LC",
	},
	altaria: {
		inherit: true,
		randomBattleMoves: ["dragondance", "outrage", "dragonclaw", "earthquake", "roost", "healbell", "fireblast"],
		tier: "UU",
	},
	zangoose: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "closecombat", "shadowclaw", "quickattack", "return"],
		tier: "NU",
	},
	seviper: {
		inherit: true,
		randomBattleMoves: ["earthquake", "suckerpunch", "aquatail", "switcheroo", "flamethrower", "darkpulse", "sludgebomb"],
		tier: "NU",
	},
	lunatone: {
		inherit: true,
		randomBattleMoves: ["psychic", "earthpower", "rockpolish", "batonpass", "calmmind", "shadowball", "substitute"],
		tier: "NU",
	},
	solrock: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "explosion", "stoneedge", "zenheadbutt", "earthquake", "batonpass", "rockpolish"],
		tier: "NU",
	},
	barboach: {
		tier: "LC",
	},
	whiscash: {
		inherit: true,
		randomBattleMoves: ["dragondance", "waterfall", "earthquake", "stoneedge"],
		tier: "NU",
	},
	corphish: {
		inherit: true,
		tier: "LC",
	},
	crawdaunt: {
		inherit: true,
		randomBattleMoves: ["dragondance", "waterfall", "crunch", "superpower", "xscissor"],
		tier: "NU",
	},
	baltoy: {
		inherit: true,
		tier: "LC",
	},
	claydol: {
		randomBattleMoves: ["stealthrock", "explosion", "icebeam", "earthquake", "rapidspin", "reflect", "lightscreen"],
		tier: "UU",
	},
	lileep: {
		tier: "LC",
	},
	cradily: {
		randomBattleMoves: ["stealthrock", "toxic", "seedbomb", "recover", "rest", "sleeptalk", "rockslide", "earthquake", "curse"],
		tier: "NU",
	},
	anorith: {
		tier: "LC",
	},
	armaldo: {
		randomBattleMoves: ["stealthrock", "rapidspin", "stoneedge", "toxic", "xscissor", "swordsdance", "earthquake", "rockpolish"],
		tier: "NU",
	},
	feebas: {
		inherit: true,
		tier: "LC",
	},
	milotic: {
		inherit: true,
		randomBattleMoves: ["recover", "surf", "haze", "toxic", "icebeam", "rest", "sleeptalk"],
		tier: "UU",
	},
	castform: {
		randomBattleMoves: ["icebeam", "thunderbolt", "fireblast", "energyball", "shadowball"],
		tier: "NU",
	},
	castformsunny: {
		battleOnly: true,
	},
	castformrainy: {
		battleOnly: true,
	},
	castformsnowy: {
		battleOnly: true,
	},
	kecleon: {
		randomBattleMoves: ["stealthrock", "recover", "return", "aquatail", "thunderwave", "toxic"],
		tier: "NU",
	},
	shuppet: {
		inherit: true,
		tier: "LC",
	},
	banette: {
		inherit: true,
		randomBattleMoves: ["shadowsneak", "destinybond", "taunt", "shadowclaw", "willowisp"],
		tier: "NU",
	},
	duskull: {
		inherit: true,
		tier: "LC",
	},
	dusclops: {
		tier: "NU",
	},
	dusknoir: {
		randomBattleMoves: ["willowisp", "shadowsneak", "icebeam", "painsplit", "substitute", "earthquake", "focuspunch"],
		tier: "OU",
	},
	tropius: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "leafblade", "aerialace", "earthquake", "airslash", "energyball", "whirlwind", "roost", "toxic"],
		tier: "NU",
	},
	chingling: {
		tier: "LC",
	},
	chimecho: {
		inherit: true,
		randomBattleMoves: ["psychic", "thunderwave", "recover", "calmmind", "signalbeam", "hiddenpowerfire", "yawn"],
		tier: "NU",
	},
	absol: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "suckerpunch", "nightslash", "psychocut", "superpower", "pursuit"],
		tier: "UU",
	},
	snorunt: {
		inherit: true,
		tier: "LC",
	},
	glalie: {
		randomBattleMoves: ["spikes", "icebeam", "earthquake", "explosion", "taunt"],
		tier: "NU",
	},
	froslass: {
		randomBattleMoves: ["icebeam", "spikes", "destinybond", "shadowball", "taunt", "trick"],
		tier: "BL",
	},
	spheal: {
		inherit: true,
		tier: "LC",
	},
	sealeo: {
		tier: "NFE",
	},
	walrein: {
		randomBattleMoves: ["protect", "toxic", "surf", "icebeam", "roar", "encore", "rest", "sleeptalk"],
		tier: "NU",
	},
	clamperl: {
		tier: "NU",
	},
	huntail: {
		randomBattleMoves: ["raindance", "surf", "hiddenpowergrass", "hydropump", "doubleedge", "icebeam", "suckerpunch"],
		tier: "NU",
	},
	gorebyss: {
		randomBattleMoves: ["surf", "hydropump", "icebeam", "hiddenpowergrass", "raindance"],
		tier: "NU",
	},
	relicanth: {
		randomBattleMoves: ["headsmash", "waterfall", "aquatail", "earthquake", "doubleedge", "rockpolish", "stealthrock"],
		tier: "NU",
	},
	luvdisc: {
		randomBattleMoves: ["surf", "icebeam", "toxic", "sweetkiss", "protect"],
		tier: "NU",
	},
	bagon: {
		inherit: true,
		tier: "LC",
	},
	shelgon: {
		tier: "NU",
	},
	salamence: {
		inherit: true,
		randomBattleMoves: ["outrage", "fireblast", "earthquake", "dracometeor", "roost", "dragondance"],
		tier: "Uber",
	},
	beldum: {
		tier: "LC",
	},
	metang: {
		inherit: true,
		tier: "NU",
	},
	metagross: {
		inherit: true,
		randomBattleMoves: ["meteormash", "earthquake", "agility", "stealthrock", "zenheadbutt", "bulletpunch", "explosion"],
		tier: "OU",
	},
	regirock: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "thunderwave", "stoneedge", "earthquake", "curse", "rest", "sleeptalk", "rockslide", "explosion"],
		tier: "NU",
	},
	regice: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "icebeam", "thunderbolt", "rest", "sleeptalk", "focusblast"],
		tier: "NU",
	},
	registeel: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "ironhead", "curse", "rest", "sleeptalk", "thunderwave", "toxic", "protect"],
		tier: "UU",
	},
	latias: {
		inherit: true,
		randomBattleMoves: ["dragonpulse", "psychic", "surf", "roost", "calmmind", "refresh", "reflect", "lightscreen", "healingwish"],
		tier: "Uber",
	},
	latios: {
		inherit: true,
		randomBattleMoves: ["dracometeor", "dragonpulse", "surf", "hiddenpowerfire", "psychic", "thunderbolt", "trick", "calmmind", "roost"],
		tier: "Uber",
	},
	kyogre: {
		inherit: true,
		randomBattleMoves: ["waterspout", "surf", "thunder", "icebeam", "calmmind", "rest", "sleeptalk"],
		tier: "Uber",
	},
	groudon: {
		inherit: true,
		randomBattleMoves: ["earthquake", "stealthrock", "stoneedge", "swordsdance", "rockpolish", "toxic", "overheat"],
		tier: "Uber",
	},
	rayquaza: {
		inherit: true,
		randomBattleMoves: ["outrage", "extremespeed", "dragondance", "swordsdance", "overheat", "dragonclaw"],
		tier: "Uber",
	},
	jirachi: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "ironhead", "firepunch", "substitute", "bodyslam", "wish", "uturn", "trick", "calmmind", "psychic", "thunderbolt", "icepunch", "flashcannon"],
		tier: "OU",
	},
	deoxys: {
		inherit: true,
		randomBattleMoves: ["psychoboost", "superpower", "extremespeed", "icebeam", "spikes", "stealthrock"],
		tier: "Uber",
	},
	deoxysattack: {
		randomBattleMoves: ["psychoboost", "shadowball", "superpower", "extremespeed", "icebeam", "hiddenpowerfire", "stealthrock"],
		eventOnly: true,
		tier: "Uber",
	},
	deoxysdefense: {
		randomBattleMoves: ["spikes", "stealthrock", "recover", "taunt", "toxic", "seismictoss"],
		eventOnly: true,
		tier: "Uber",
	},
	deoxysspeed: {
		randomBattleMoves: ["spikes", "stealthrock", "psychoboost", "taunt", "lightscreen", "reflect", "superpower"],
		eventOnly: true,
		tier: "Uber",
	},
	turtwig: {
		tier: "LC",
	},
	grotle: {
		tier: "NFE",
	},
	torterra: {
		randomBattleMoves: ["stealthrock", "earthquake", "woodhammer", "stoneedge", "rockpolish", "leechseed", "roar", "synthesis"],
		tier: "UU",
	},
	chimchar: {
		inherit: true,
		tier: "LC",
	},
	monferno: {
		tier: "NU",
	},
	infernape: {
		randomBattleMoves: ["stealthrock", "fireblast", "closecombat", "uturn", "grassknot", "stoneedge", "machpunch", "focusblast", "swordsdance", "nastyplot", "hiddenpowerice", "flareblitz", "vacuumwave"],
		tier: "OU",
	},
	piplup: {
		tier: "LC",
	},
	prinplup: {
		tier: "NFE",
	},
	empoleon: {
		randomBattleMoves: ["stealthrock", "hydropump", "surf", "icebeam", "hiddenpowerelectric", "roar", "grassknot", "agility"],
		tier: "OU",
	},
	starly: {
		inherit: true,
		tier: "LC",
	},
	staravia: {
		tier: "NFE",
	},
	staraptor: {
		randomBattleMoves: ["bravebird", "closecombat", "return", "uturn", "pursuit", "quickattack", "substitute", "roost", "doubleedge"],
		tier: "BL",
	},
	bidoof: {
		inherit: true,
		tier: "LC",
	},
	bibarel: {
		randomBattleMoves: ["return", "waterfall", "quickattack", "curse", "rest"],
		tier: "NU",
	},
	kricketot: {
		tier: "LC",
	},
	kricketune: {
		randomBattleMoves: ["swordsdance", "xscissor", "nightslash", "brickbreak", "return"],
		tier: "NU",
	},
	shinx: {
		tier: "LC",
	},
	luxio: {
		tier: "NFE",
	},
	luxray: {
		randomBattleMoves: ["icefang", "thunderbolt", "crunch", "superpower", "toxic", "protect", "roar"],
		tier: "NU",
	},
	cranidos: {
		tier: "LC",
	},
	rampardos: {
		randomBattleMoves: ["stoneedge", "earthquake", "zenheadbutt", "firepunch", "rockpolish", "icebeam"],
		tier: "NU",
	},
	shieldon: {
		tier: "LC",
	},
	bastiodon: {
		randomBattleMoves: ["stealthrock", "metalburst", "earthquake", "rockslide", "protect", "toxic", "roar"],
		tier: "NU",
	},
	burmy: {
		tier: "LC",
	},
	wormadam: {
		randomBattleMoves: ["leafstorm", "signalbeam", "hiddenpowerice", "hiddenpowerrock", "psychic"],
		tier: "NU",
	},
	wormadamsandy: {
		randomBattleMoves: ["earthquake", "toxic", "sleeptalk", "rest"],
		tier: "NU",
	},
	wormadamtrash: {
		randomBattleMoves: ["stealthrock", "toxic", "gyroball", "protect"],
		tier: "NU",
	},
	mothim: {
		randomBattleMoves: ["bugbuzz", "airslash", "hiddenpowerground", "uturn", "shadowball", "roost"],
		tier: "NU",
	},
	combee: {
		tier: "LC",
	},
	vespiquen: {
		randomBattleMoves: ["substitute", "roost", "toxic", "attackorder", "protect", "defendorder"],
		tier: "NU",
	},
	pachirisu: {
		randomBattleMoves: ["lightscreen", "discharge", "superfang", "toxic", "uturn"],
		tier: "NU",
	},
	buizel: {
		tier: "LC",
	},
	floatzel: {
		randomBattleMoves: ["waterfall", "return", "aquajet", "bulkup", "batonpass", "icepunch", "crunch", "taunt"],
		tier: "NU",
	},
	cherubi: {
		tier: "LC",
	},
	cherrim: {
		randomBattleMoves: ["energyball", "aromatherapy", "grasswhistle", "hiddenpowerfire", "hiddenpowerground", "synthesis"],
		tier: "NU",
	},
	cherrimsunshine: {
		randomBattleMoves: ["sunnyday", "solarbeam", "weatherball", "hiddenpowerice"],
		battleOnly: true,
	},
	shellos: {
		tier: "LC",
	},
	gastrodon: {
		randomBattleMoves: ["earthpower", "icebeam", "surf", "toxic", "recover"],
		tier: "NU",
	},
	drifloon: {
		tier: "LC",
	},
	drifblim: {
		randomBattleMoves: ["shadowball", "substitute", "calmmind", "hypnosis", "hiddenpowerfighting", "thunderbolt", "rest", "batonpass"],
		tier: "NU",
	},
	buneary: {
		tier: "LC",
	},
	lopunny: {
		randomBattleMoves: ["encore", "return", "switcheroo", "healbell", "thunderwave", "batonpass", "substitute"],
		tier: "NU",
	},
	glameow: {
		tier: "LC",
	},
	purugly: {
		randomBattleMoves: ["fakeout", "uturn", "shadowclaw", "taunt", "suckerpunch", "return"],
		tier: "NU",
	},
	stunky: {
		tier: "LC",
	},
	skuntank: {
		randomBattleMoves: ["pursuit", "suckerpunch", "crunch", "fireblast", "explosion", "taunt", "poisonjab"],
		tier: "NU",
	},
	bronzor: {
		tier: "LC",
	},
	bronzong: {
		randomBattleMoves: ["stealthrock", "gyroball", "earthquake", "payback", "hypnosis", "reflect", "lightscreen", "explosion"],
		tier: "OU",
	},
	chatot: {
		inherit: true,
		randomBattleMoves: ["nastyplot", "hypervoice", "heatwave", "hiddenpowergrass", "substitute", "chatter"],
		tier: "NU",
	},
	spiritomb: {
		randomBattleMoves: ["calmmind", "darkpulse", "rest", "sleeptalk", "shadowball", "willowisp"],
		tier: "UU",
	},
	gible: {
		tier: "LC",
	},
	gabite: {
		tier: "NU",
	},
	garchomp: {
		randomBattleMoves: ["stealthrock", "outrage", "dragonclaw", "earthquake", "stoneedge", "firefang", "swordsdance", "substitute"],
		tier: "Uber",
	},
	riolu: {
		inherit: true,
		tier: "LC",
	},
	lucario: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "closecombat", "crunch", "extremespeed", "icepunch", "bulletpunch", "agility", "vacuumwave"],
		tier: "OU",
	},
	hippopotas: {
		tier: "BL2",
	},
	hippowdon: {
		randomBattleMoves: ["earthquake", "slackoff", "roar", "stealthrock", "toxic", "icefang", "stoneedge"],
		tier: "OU",
	},
	skorupi: {
		tier: "LC",
	},
	drapion: {
		randomBattleMoves: ["swordsdance", "crunch", "earthquake", "aquatail", "whirlwind", "pursuit", "icefang", "taunt", "toxicspikes"],
		tier: "UU",
	},
	croagunk: {
		tier: "LC",
	},
	toxicroak: {
		randomBattleMoves: ["suckerpunch", "focuspunch", "substitute", "swordsdance", "crosschop", "icepunch"],
		tier: "UU",
	},
	carnivine: {
		randomBattleMoves: ["swordsdance", "powerwhip", "return", "sleeppowder", "substitute", "synthesis"],
		tier: "NU",
	},
	finneon: {
		tier: "LC",
	},
	lumineon: {
		randomBattleMoves: ["surf", "uturn", "icebeam", "hiddenpowerelectric", "hiddenpowergrass", "raindance"],
		tier: "NU",
	},
	snover: {
		tier: "BL2",
	},
	abomasnow: {
		randomBattleMoves: ["blizzard", "iceshard", "woodhammer", "leechseed", "substitute", "earthquake", "hiddenpowerfire", "energyball"],
		tier: "BL",
	},
	rotom: {
		randomBattleMoves: ["thunderbolt", "shadowball", "substitute", "painsplit", "hiddenpowerfighting", "willowisp", "trick"],
		tier: "UU",
	},
	rotomheat: {
		randomBattleMoves: ["thunderbolt", "hiddenpowerice", "shadowball", "willowisp", "overheat", "trick"],
		tier: "OU",
	},
	rotomwash: {
		randomBattleMoves: ["thunderbolt", "substitute", "painsplit", "shadowball", "hiddenpowerice", "willowisp", "trick", "hydropump"],
		tier: "OU",
	},
	rotomfrost: {
		randomBattleMoves: ["thunderbolt", "hiddenpowerfighting", "shadowball", "trick", "blizzard", "substitute", "painsplit"],
		tier: "OU",
	},
	rotomfan: {
		randomBattleMoves: ["discharge", "substitute", "painsplit", "rest", "sleeptalk", "airslash", "willowisp", "hiddenpowerice"],
		tier: "OU",
	},
	rotommow: {
		randomBattleMoves: ["thunderbolt", "discharge", "substitute", "painsplit", "hiddenpowerice", "willowisp", "shadowball", "trick", "leafstorm"],
		tier: "OU",
	},
	uxie: {
		inherit: true,
		randomBattleMoves: ["reflect", "lightscreen", "uturn", "psychic", "thunderwave", "yawn", "stealthrock"],
		tier: "UU",
	},
	mesprit: {
		inherit: true,
		randomBattleMoves: ["hiddenpowerfire", "thunderbolt", "icebeam", "psychic", "calmmind", "substitute", "thunderwave", "uturn", "stealthrock"],
		tier: "UU",
	},
	azelf: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "fireblast", "psychic", "explosion", "taunt", "uturn", "nastyplot", "flamethrower", "hiddenpowerfighting", "thunderbolt"],
		tier: "OU",
	},
	dialga: {
		inherit: true,
		randomBattleMoves: ["stealthrock", "dracometeor", "toxic", "thunderbolt", "outrage", "fireblast", "aurasphere", "dragonclaw", "bulkup", "earthquake"],
		tier: "Uber",
	},
	palkia: {
		inherit: true,
		randomBattleMoves: ["spacialrend", "dracometeor", "surf", "hydropump", "thunderbolt", "fireblast", "aurasphere"],
		tier: "Uber",
	},
	heatran: {
		inherit: true,
		randomBattleMoves: ["substitute", "fireblast", "lavaplume", "stealthrock", "earthpower", "hiddenpowergrass", "dragonpulse", "protect", "explosion", "roar"],
		tier: "OU",
	},
	regigigas: {
		inherit: true,
		randomBattleMoves: ["thunderwave", "substitute", "return", "earthquake", "firepunch", "toxic", "confuseray"],
		tier: "NU",
	},
	giratina: {
		inherit: true,
		randomBattleMoves: ["rest", "sleeptalk", "roar", "willowisp", "calmmind", "dragonpulse", "shadowball"],
		tier: "Uber",
	},
	giratinaorigin: {
		randomBattleMoves: ["dracometeor", "shadowsneak", "hiddenpowerfire", "calmmind", "substitute", "dragonpulse", "shadowball", "aurasphere", "outrage"],
		eventOnly: true,
		requiredItem: "Griseous Orb",
		tier: "Uber",
	},
	cresselia: {
		inherit: true,
		randomBattleMoves: ["moonlight", "psychic", "hiddenpowerfire", "icebeam", "thunderwave", "toxic", "substitute", "calmmind", "reflect", "lightscreen"],
		tier: "BL",
	},
	phione: {
		inherit: true,
		randomBattleMoves: ["raindance", "toxic", "rest", "icebeam", "surf"],
		tier: "NU",
	},
	manaphy: {
		inherit: true,
		randomBattleMoves: ["tailglow", "surf", "icebeam", "energyball"],
		tier: "Uber",
	},
	darkrai: {
		inherit: true,
		randomBattleMoves: ["darkvoid", "darkpulse", "focusblast", "nastyplot", "substitute", "trick"],
		tier: "Uber",
	},
	shaymin: {
		inherit: true,
		randomBattleMoves: ["seedflare", "earthpower", "hiddenpowerice", "hiddenpowerfire", "rest", "substitute", "leechseed"],
		tier: "OU",
	},
	shayminsky: {
		randomBattleMoves: ["seedflare", "earthpower", "airslash", "hiddenpowerice", "hiddenpowerfire", "substitute", "leechseed"],
		eventOnly: true,
		tier: "Uber",
	},
	arceus: {
		inherit: true,
		randomBattleMoves: ["swordsdance", "extremespeed", "shadowclaw", "earthquake", "recover"],
		tier: "Uber",
	},
	arceusbug: {
		randomBattleMoves: ["swordsdance", "xscissor", "stoneedge", "earthquake", "recover"],
		eventOnly: true,
		requiredItem: "Insect Plate",
	},
	arceusdark: {
		randomBattleMoves: ["calmmind", "judgment", "focusblast", "recover", "refresh"],
		eventOnly: true,
		requiredItem: "Dread Plate",
	},
	arceusdragon: {
		randomBattleMoves: ["swordsdance", "dragonclaw", "earthquake", "recover", "overheat"],
		eventOnly: true,
		requiredItem: "Draco Plate",
	},
	arceuselectric: {
		randomBattleMoves: ["calmmind", "judgment", "recover", "icebeam", "earthpower"],
		eventOnly: true,
		requiredItem: "Zap Plate",
	},
	arceusfighting: {
		randomBattleMoves: ["calmmind", "judgment", "icebeam", "darkpulse", "recover"],
		eventOnly: true,
		requiredItem: "Fist Plate",
	},
	arceusfire: {
		randomBattleMoves: ["calmmind", "judgment", "earthpower", "thunderbolt", "recover"],
		eventOnly: true,
		requiredItem: "Flame Plate",
	},
	arceusflying: {
		randomBattleMoves: ["calmmind", "judgment", "substitute", "earthpower", "recover"],
		eventOnly: true,
		requiredItem: "Sky Plate",
	},
	arceusghost: {
		randomBattleMoves: ["calmmind", "recover", "focusblast", "judgment", "flamethrower", "willowisp", "roar"],
		eventOnly: true,
		requiredItem: "Spooky Plate",
	},
	arceusgrass: {
		randomBattleMoves: ["calmmind", "icebeam", "judgment", "earthpower", "recover", "thunderwave"],
		eventOnly: true,
		requiredItem: "Meadow Plate",
	},
	arceusground: {
		randomBattleMoves: ["swordsdance", "earthquake", "stoneedge", "recover", "calmmind", "judgment", "icebeam"],
		eventOnly: true,
		requiredItem: "Earth Plate",
	},
	arceusice: {
		randomBattleMoves: ["calmmind", "judgment", "earthpower", "thunderbolt", "flamethrower", "recover"],
		eventOnly: true,
		requiredItem: "Icicle Plate",
	},
	arceuspoison: {
		randomBattleMoves: ["calmmind", "judgment", "earthpower", "recover", "willowisp", "roar"],
		eventOnly: true,
		requiredItem: "Toxic Plate",
	},
	arceuspsychic: {
		randomBattleMoves: ["calmmind", "focusblast", "recover", "shadowball", "judgment"],
		eventOnly: true,
		requiredItem: "Mind Plate",
	},
	arceusrock: {
		randomBattleMoves: ["calmmind", "judgment", "earthpower", "willowisp", "recover"],
		eventOnly: true,
		requiredItem: "Stone Plate",
	},
	arceussteel: {
		randomBattleMoves: ["swordsdance", "ironhead", "earthquake", "recover"],
		eventOnly: true,
		requiredItem: "Iron Plate",
	},
	arceuswater: {
		randomBattleMoves: ["recover", "calmmind", "judgment", "icebeam", "thunderbolt", "willowisp", "refresh"],
		eventOnly: true,
		requiredItem: "Splash Plate",
	},
};
